%define module_name	ipw2200
%define module_version	1.2.1
%define module_release	alt3.132626.2

%define kversion	2.6.18
%define krelease	alt2
%define flavour		wks-smp

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/drivers/net/wireless

Summary: Linux %module_name - a Intel(R) PRO/Wireless 2200 Network Connection Driver module
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
Url: http://%module_name.sourceforge.net/
BuildPreReq: kernel-build-tools

BuildRequires: kernel-headers-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease

Provides:       kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts:      kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts:      kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86 x86_64

Requires: firmware-%module_name-3.0

%description
This project was created by Intel to enable support for the Intel
PRO/Wireless 2200 Network Connection mini PCI adapter.

%prep
%__rm -rf kernel-source-%module_name-%module_version
%__tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build -C %_usrsrc/linux-%kversion-%flavour SUBDIRS=$PWD \
	    LINUXSRC=%_usrsrc/linux-%kversion-%flavour/ \
	    IEEE80211_INC=%_usrsrc/linux-%kversion-%flavour/include

%install
%__mkdir_p %buildroot/%module_dir
%__cp -a *.ko %buildroot/%module_dir


%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Tue Aug 07 2007 Dmitry V. Levin <ldv@altlinux.org> 1.2.1-alt3.132626.2
- Raised module release number to fix package update.

* Sun Jul 08 2007 L.A. Kostis <lakostis@altlinux.ru> 1.2.1-alt2.1.132626.2
- fix whitespaces.

* Mon Jan 29 2007 Sergey Vlasov <vsu@altlinux.ru> 1.2.1-alt2.132626.2
- Removed unneeded "Prereq: modutils".

* Wed Jan 24 2007 Alexey Shabalin <shaba@altlinux.ru> 1.2.1-alt1.132626.2
- update 1.2.1

* Wed May 17 2006 Alexey Shabalin <shaba@altlinux.ru> 1.1.2-alt1.132626.2
- update 1.1.2
- remove patches
- Requires: firmware-ipw2200-3.0

* Sun Dec 04 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.8-alt3.132626.2
- Enabled build for x86_64.
- Added:
  + ipw2200-1.0.8-slab-corruption.patch: fix slab corruption after firmware
    restart: http://bughost.org/bugzilla/show_bug.cgi?id=821
  + ipw2200-1.0.8-rmmod-oops.patch: fix rmmod oops due to use-after-free:
    http://bughost.org/bugzilla/show_bug.cgi?id=821

* Wed Nov 30 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.8-alt2.132626.2
- Build with in-kernel ieee80211 subsystem (upgraded to the required version by
  the kernel-feat-net-ieee80211 patch).

* Wed Nov 02 2005 Alexey Shabalin <shaba@altlinux.ru> 1.0.8-alt1.132626.2
- update 1.0.8
- Requires: firmware-ipw2200-2.4

* Mon Jul 18 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.6-alt2.132626.2
- Fixed BuildRequires.
- Fixed dependency on kernel-modules-ieee80211-%%flavour (version and release
  are taken from the version stamp file in kernel-headers-ieee80211-%%flavour).
- Use *.o files from kernel-headers-ieee80211-%%flavour to get proper symbol
  versioning.

* Thu Jul 14 2005 Alexey Shabalin <shaba@altlinux.ru> 1.0.6-alt1.132626.2
- update to 1.0.6
- remove conflict with ipw2100
- Requires: kernel-modules-ieee80211
- remove all patchs
- fix spec

* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.4-alt3.132626.2
- Added:
  + ipw2200-1.0.4-kernel-2.6.12-compat.patch: fix compilation with 2.6.12.

* Fri May 24 2005 Alexey Shabalin <shaba@altlinux.ru> 1.0.4-alt2.132626.2
- fix spec for Kernel CVS
- 1.0.4

* Sun May 15 2005 Alexey Shabalin <shaba@altlinux.ru> 1.0.3-alt1.8
- rebuild for 2.6.11-std26-alt8

* Thu Apr 28 2005 Alexey Shabalin <shaba@altlinux.ru> 1.0.3-alt1.6
- initial release
